package com.muyu.controller;

import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author DongZeLiang
 * @version 1.0
 * @description index页跳转
 * @date 2023/12/1
 */
@Log4j2
@Controller
public class IndexController {

    @RequestMapping("/")
    public String hello(){
        log.debug("重定向到  - /static/index 页面");
        return "forward:/static/index.html";
    }
}
