package com.muyu.domain.car;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 车辆信息 Car
 *
 * @author Yangle
 * Date 2024/6/2 21:14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Car {

    /**
     * vin
     */
    @JSONField(name = "vehicleVin")
    private String vin;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * 用户名
     */
    @JSONField(name = "username")
    private String userName;

    /**
     * ip
     */
    private String ip;
}
