package com.muyu;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * API 相关 createApiInfo
 *
 * @author Yangle
 * Date 2024/5/24 15:36
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class createApiInfo {
    /**
     * 接口名称
     */
    private String Action;
    /**
     * 接口版本
     */
    private String Version;
    /**
     * 接口协议
     */
      private String Protocol;

    /**
     *     接口 HTTP 方法
     */
    private String Method;

    private String AuthType;
    private String Style;
    /**
     * 接口 PATH
     */
    private String Pathname;
    // 接口请求体内容格式
    private String ReqBodyType;
    // 接口响应体内容格式
    private String BodyType;







}
