package com.muyu.vehicle.api;

import com.dtflys.forest.annotation.BaseRequest;
import com.dtflys.forest.annotation.JSONBody;
import com.dtflys.forest.annotation.Post;
import com.muyu.common.Result;
import com.muyu.domain.model.MqttServerModel;
import com.muyu.vehicle.api.req.VehicleConnectionReq;

/**
 * @author DongZl
 * @description: 客户端的管理
 * @Date 2023-11-28 上午 10:20
 */
@BaseRequest(
        baseURL = "${adminHost}"
)
public interface ClientAdmin {

    @Post("${adminTopicUri}")
    public Result<MqttServerModel> vehicleConnection(@JSONBody VehicleConnectionReq vehicleConnectionReq);
}
